Bug 447894 - automount of cifs file not reading credential file correctly
automount of cifs file not reading credential file correctly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ian Kent
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 07:37 EDT by Mark Lees
Modified: 2009-07-14 11:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:24:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Lees 2008-05-22 07:37:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc7 Firefox/2.0.0.14

Description of problem:
I installed FC9 and tried to get autofs working.

When I place the username and password in the mount options, autofs works fine.

However, if I place the username and password in a credentials file and use the credentials option, it fails with permission denied.

I suspect that the automounter (or mount.cifs) is not parsing the credentials file properly.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. set up automount to mount using a credentials file
2. This will fail
3. set up the automount to use a username= and password= options
4. this should work

Actual Results:


Expected Results:


Additional info:
Comment 1 Ian Kent 2008-05-22 08:40:32 EDT
Does root have read access to the credential file?
Comment 2 Mark Lees 2008-05-22 10:06:41 EDT
Yes, the credentials file was 666 owned by root.
Comment 3 Mark Lees 2008-05-22 10:13:53 EDT
When I used the credentials file, my CIFS server reported an status of
"NT_STATUS_WRONG_PASSWORD" 
Comment 4 Ian Kent 2008-05-22 10:44:39 EDT
(In reply to comment #3)
> When I used the credentials file, my CIFS server reported an status of
> "NT_STATUS_WRONG_PASSWORD" 
> 

OK, then that may be a mount.cifs problem.
It would be good to confirm that the mount command being
used is correct.
An autofs debug log will report the mount command.
Have a look at http://people.redhat.com/jmoyer for how to
get that and things to watch out for and post it here.

Ian
Comment 5 Mark Lees 2008-05-22 10:55:39 EDT
Unfortunately, I have reverted back to FC8 due to this problem.

If I get time over the weekend I'll try a fresh build of FC9 again.
Comment 6 Todd J Martin 2008-05-22 17:10:00 EDT
This sounds like the problem described in bug 445623.  This caused the trailing
newline to be sent as part of the password.  I was able to workaround this by
creating a credential file that did not have a newline after the password.

Unfortunately, automounting samba shares still did not work because autofs needs
smbclient -a to work.  That stopped working for me (bug 447031), so I still
could not automound samba shares.  I bailed and switched to using NFS4.
Comment 7 Bug Zapper 2009-06-09 21:05:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 11:24:48 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.